Subject: Re: 24.0.92; Emacs runtime crashes with org-indent-mode and indirect-buffer

From: Gustav Wikström <[email-masked]>
Date: Tue, 8 May 2018 14:46:13 +0000

Hmm... It seems I sent the Mail december 2011. I don't recall the problem any more and as you say - old versions. Push the delete-button on it. I'm sure other defects will be raised if the bug still persists.

Kind regards
Gustav

Get Outlook for iOS<https://aka.ms/o0ukef>
________________________________
From: Eli Zaretskii <[email-masked]>
Sent: Monday, May 7, 2018 7:51:02 PM
To: Gustav Wikström
Cc: [email-masked]
Subject: Re: 24.0.92; Emacs runtime crashes with org-indent-mode and indirect-buffer

> Date: Fri, 23 Dec 2011 08:18:19 +0100
> From: Gustav Wikström <[email-masked]>
>
> When org-startup-indented is set to true I get a fatal error when using
> 'org-tree-to-indirect-buffer' on a heading then using org-cycle on the
> same heading in the indirect-buffer.
>
> It seems that emacs breaks due to a call to "overlay-put".
>
> This bug exists in org-version 7.7 & 7.8.02 in emacs 24.0.92.1 on
> windows.
>
> The following commands should reproduce the error:
>
>   "open an org-mode file with some headlines and text."
>
>   M-x org-indent-mode
>
>   C-c C-x b (org-tree-to-indirect-buffer)
>
>   C-x 0 (delete-window, the one that does not have the indirect buffer)
>
>   tab (org-cycle, inside the indirect buffer)
>
> In GNU Emacs 24.0.92.1 (i386-mingw-nt6.1.7601)
>  of 2011-12-07 on MARVIN
> Windowing system distributor `Microsoft Corp.', version 6.1.7601

Thanks.

This is a very old version of Emacs.  Can you try a newer one?

I cannot reproduce the problem, neither in Emacs 24.1, nor in the
upcoming Emacs 26.1.  After this step:

  C-c C-x b (org-tree-to-indirect-buffer)

I get an error message saying that I tried to delete the only window
of a frame.  Which is true: I have only one window on that frame, if I
follow the recipe.  What did I miss?